/update_payment_method

Use the /update_payment_method endpoint to retire or deactivate a payment method.

Retiring a Payment Method

When a payment method is "retired"
  • The payment_method_identifier will not be returned in the /find_order or /find_payment_methods responses
  • The payment method will not display in the PayNearMe Business Portal, Agent Interface, or on the Select Payment Method screen of the Consumer Portal
  • The retired payment_method_identifier can be used in the /make_payment call to complete a payment.
Use retire_payment_method=true to retire the payment method in either the /create_payment_method or /update_payment_method calls. To "unretire" a payment method so that it will display again in the places listed above, use retire_payment_method=false.

Deactivating a Payment Method

When a payment method is "deactivated"
  • The payment_method_identifier will not be returned in the /find_order or /find_payment_methods responses.
  • The payment method will not display on the Select Payment Method screen of the Consumer Portal.
  • The payment method will display as Inactive in the PayNearMe Business Portal and Agent Interface.
  • The deactivated payment_method_identifier will automatically decline payments for all transaction attempts.
  • The deactivated payment method cannot be reactivated by submitting deactivate_payment_method=false. It can only be reactivated by re-adding it via the /create_payment_method endpoint.
To deactivate a payment method, use deactivate_payment_method=true.

Body Params

Can be used to retire or deactivate an existing payment method.

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

string
Defaults to 07d65b9ef24b6

A unique, string ID that identifies a specific payment method.

string

Pass true to indicate if you want to retire a payment method. Retired payment methods are not returned in the payment_methods block of the order object, but can be used for payments.

string

Pass true to indicate if you want to deactivate the payment method. Deactivated payment methods are not returned in the payment_methods block of the order object and cannot be used for payments.

Response

Language
URL
Response
Choose an example:
application/json